<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<Resource xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<ID/>
	<Type>Service</Type>
	<Profile>
		<Description>Indexer Service</Description>
		<Class>Execution</Class>
		<Name>IndexerService</Name>
		<Version>1.0.0</Version>
		<Packages>
			<Main>
			
				<Description>Indexer Service</Description>
                <Name>IndexerService-service</Name>
                <Version>1.0.0-2.12.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.execution</groupId>
                    <artifactId>indexerservice-service</artifactId>
                    <version>1.0.0-2.12.0</version>
                </MavenCoordinates>
                <Mandatory level="VO"/>
                <Shareable level="VO"/>
                <GHNRequirements>
                        <Requirement category="RunTimeEnv" operator="eq" requirement="Variable" value="java1.6"/>
                </GHNRequirements>
                
                
				
				<GARArchive>org.gcube.execution.indexerservice.gar</GARArchive>
				<PortType>
					<Name>gcube/execution/indexerservice/IndexerServiceFactory</Name>
					
				</PortType>
				<PortType>
					<Name>gcube/execution/indexerservice/IndexerService</Name>
					
				</PortType>
			</Main>
			<Software deployable="true">
				<Description>Indexer Service Stubs</Description>
                <Name>IndexerService-stubs</Name>
                <Version>1.0.0-2.12.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.execution</groupId>
                    <artifactId>indexerservice-stubs</artifactId>
                    <version>1.0.0-2.12.0</version>
                </MavenCoordinates>
                <MultiVersion value="true"/>
                <Mandatory level="VO"/>
                <Shareable level="VO"/>
                <Type>library</Type>
                <Files>
                   <File>org.gcube.execution.indexerservice.stubs.jar</File>
                </Files>			
			</Software>
			
<!-- 			<Software deployable="true"> -->
<!-- 				<Description>Indexer Service Test Suite</Description> -->
<!-- 				<Name>IndexerService-test-suite</Name> -->
<!-- 				<Version>1.0.0</Version> -->
<!-- 				<Files> -->
<!-- 					<File>readme.txt</File> -->
<!-- 					<File>org/gcube/execution/indexerservice/tests/TestIndexerService.java</File> -->
<!-- 					<File>org/gcube/execution/indexerservice/tests/UploadIndexerJarClient.java</File> -->
<!-- 				</Files> -->
<!-- 			</Software> -->
			
		</Packages>
	</Profile>
</Resource>
